import request from '@/utils/request'

/**
 * 获得指定节点(实体,实体类)的tags列表
 * @param vertexId
 * @id:id
 */
//旧的getTagList函数
/* function getTagList(vertexId, isModel) {
  return ajax({
    method: 'get',
    url: '/tag/{vertexId}/taglist',
    path: {
      vertexId
    },
    data: {
      isModel
    }
  })
} */
//新的getTagList函数
function getTagList(vertexId, isModel) {
	return request({
		method: 'get',
		url: `/tag/${vertexId}/taglist`,
		params: {
			vertexId,
			isModel
		}
	})
}

/**
 * 添加tag
 * @param vertexId
 * @param tagName
 * @id:id
 */
//旧的addTag函数
/* function addTag(vertexId, tagName, isModel) {
  return ajax({
    method: 'post',
    url: '/tag/add',
    data: {
      vertexId,
      tagName,
      isModel
    }
  })
} */
//新的addTag函数
function addTag(vertexId, tagName, isModel) {
	return request({
		method: 'post',
		url: `/tag/add`,
		data: {
			vertexId,
			tagName,
			isModel
		}
	})
}

/**
 * 删除tag
 * @param vertexId
 * @param tagName
 * @id:id
 */
//旧的deleteTag函数
/* function deleteTag(vertexId, tagName, isModel) {
  return ajax({
    method: 'post',
    url: '/tag/del',
    data: {
      vertexId,
      tagName,
      isModel
    }
  })
} */
//新的deleteTag函数
function deleteTag(vertexId, tagName, isModel) {
	return request({
		method: 'post',
		url: `/tag/del`,
		data: {
			vertexId,
			tagName,
			isModel
		}
	})
}

export {
	getTagList,
	addTag,
	deleteTag
}
